Package com.documentum.fc.common

# Class DfCriticalException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
com.documentum.fc.common.DfRuntimeException
com.documentum.fc.common.DfCriticalException

All Implemented Interfaces:
  `Serializable`

public class DfCriticalException extends DfRuntimeException
An unexpected DFC runtime exception. This often indicates a bug in DFC.

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DfCriticalException()`
  `DfCriticalException(String message)`
  `DfCriticalException(String message, Object[] arguments)`
  `DfCriticalException(String message, Object[] arguments, Throwable cause)`
  `DfCriticalException(String message, Throwable cause)`
  `DfCriticalException(Throwable cause)`

- ## Method Summary

  ### Methods inherited from class com.documentum.fc.common.DfRuntimeException

  `convertToRuntimeException, getArguments, getMessage, getMessageId, newDefineClassFailedException, newFailedBofTransformationException, newInvalidPrivilegeMetadataException, newNotInitializedException, newPrivilegeIllegalForSBOException, newUnexpectedException, printStackTrace, printStackTrace`

  ### Methods inherited from class java.lang.Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, setStackTrace, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### DfCriticalException

    public DfCriticalException()

  - ### DfCriticalException

    public DfCriticalException(Throwable cause)

  - ### DfCriticalException

    public DfCriticalException(String message)

  - ### DfCriticalException

    public DfCriticalException(String message, Throwable cause)

  - ### DfCriticalException

    public DfCriticalException(String message, Object[] arguments)

  - ### DfCriticalException

    public DfCriticalException(String message, Object[] arguments, Throwable cause)